# $Revision: 1.20 $, $Date: 2010/06/30 16:26:30 $

%define		_state	stable
%define		qtver	4.6.3

%define		orgname	kdepim-runtime

Summary:	Runtime Personal Information Management (PIM) for KDE
Summary(pl.UTF-8):	Zarządca informacji osobistej (PIM) dla KDE
Name:		kde4-kdepim-runtime
Version:	4.4.5
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	a990c2ab0333ac5c2abf2867c661c86e
Patch100:	%{name}-branch.diff
URL:		http://www.kde.org/
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtScript-devel >= %{qtver}
BuildRequires:	QtSql-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	akonadi-devel >= 1.2.80
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-kdepimlibs-devel >= %{version}
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-progs
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	shared-desktop-ontologies-devel >= 0.2
BuildRequires:	soprano-devel >= 2.3.70
BuildRequires:	strigi-devel >= 0.7.0
BuildRequires:	zlib-devel
BuildConflicts:	indexlib
BuildConflicts:	kdepim-kontact-libs
BuildConflicts:	kdepim-libkmailprivate
Provides:	kde4-kdepim-akonadi
Obsoletes:	kde4-kdepim-akonadi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
kdepim is a collection of Personal Information Management (PIM) tools
for the K Desktop Environment (KDE).

%description -l pl.UTF-8
kdepim jest jest zestawem aplikacji PIM dla K Desktop Environment
(KDE).

%package kontact
Summary:	Kontact Personal Information Management
Summary(pl.UTF-8):	Kontact Personal Information Management
Group:		X11/Applications
Requires:	pinentry-qt4
Provides:	kde4-kontact
Obsoletes:	kde4-kontact

%description kontact
Kontact Personal Information Management.

%description kontact -l pl.UTF-8
Kontact Personal Information Management.

%package devel
Summary:	Development files for KDE pim-runtime
Summary(pl.UTF-8):	Pliki nagłówkowe do KDE pim
Summary(ru.UTF-8):	Файлы разработки для kdepim
Summary(uk.UTF-8):	Файли розробки для kdepim
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kde4-kdelibs-devel >= %{version}

%description devel
This package contains header files needed if you wish to build
applications based on kdepimruntime.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe potrzebne do budowy aplikacji
bazujących na kdepim-runtime.

%prep
%setup -q -n %{orgname}-%{version}
#%patch100 -p1

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DLIB_INSTALL_DIR=%{_libdir} \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/ldconfig
%postun	-p	/sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/akonadi_contacts_resource
#%attr(755,root,root) %{_bindir}/akonadi_distlist_resource
%attr(755,root,root) %{_bindir}/akonadi_ical_resource
%attr(755,root,root) %{_bindir}/akonadi_kabc_resource
%attr(755,root,root) %{_bindir}/akonadi_kcal_resource
%attr(755,root,root) %{_bindir}/akonadi_knut_resource
%attr(755,root,root) %{_bindir}/akonadi_localbookmarks_resource
%attr(755,root,root) %{_bindir}/akonadi_maildir_resource
%attr(755,root,root) %{_bindir}/akonadi_maildispatcher_agent
%attr(755,root,root) %{_bindir}/akonadi_mailtransport_dummy_resource
%attr(755,root,root) %{_bindir}/akonadi_mbox_resource
%attr(755,root,root) %{_bindir}/akonadi_nepomuk_calendar_feeder
%attr(755,root,root) %{_bindir}/akonadi_nepomuk_contact_feeder
%attr(755,root,root) %{_bindir}/akonadi_nepomuktag_resource
%attr(755,root,root) %{_bindir}/akonadi_nntp_resource
%attr(755,root,root) %{_bindir}/akonadi_notes_resource
%attr(755,root,root) %{_bindir}/akonadi_vcard_resource
%attr(755,root,root) %{_bindir}/akonadi_vcarddir_resource
%attr(755,root,root) %{_bindir}/akonadi_pop3_resource
%attr(755,root,root) %{_bindir}/akonaditray
%attr(755,root,root) %{_bindir}/akonadi2xml
%attr(755,root,root) %{_bindir}/akonadi_birthdays_resource
%attr(755,root,root) %{_bindir}/akonadi_imap_resource
%attr(755,root,root) %{_bindir}/akonadi_kolabproxy_resource
%attr(755,root,root) %{_bindir}/akonadi_microblog_resource
%attr(755,root,root) %{_bindir}/kaddressbookmigrator
%attr(755,root,root) %{_bindir}/kmail-migrator
%attr(755,root,root) %{_bindir}/kres-migrator
%attr(755,root,root) %ghost %{_libdir}/libakonadi-xml.so.?
%attr(755,root,root) %{_libdir}/libakonadi-xml.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkdepim-copy.so.?
%attr(755,root,root) %{_libdir}/libkdepim-copy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmaildir.so.?
%attr(755,root,root) %{_libdir}/libmaildir.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmbox.so.?
%attr(755,root,root) %{_libdir}/libmbox.so.*.*.*
%attr(755,root,root) %{_libdir}/kde4/akonadi_serializer_addressee.so
%attr(755,root,root) %{_libdir}/kde4/akonadi_serializer_contactgroup.so
%attr(755,root,root) %{_libdir}/kde4/akonadi_serializer_mail.so
%attr(755,root,root) %{_libdir}/kde4/akonadi_serializer_microblog.so
%attr(755,root,root) %{_libdir}/kde4/akonadi_serializer_kcal.so
%attr(755,root,root) %{_libdir}/kde4/akonadi_serializer_bookmark.so
%attr(755,root,root) %{_libdir}/kde4/kabc_akonadi.so
%attr(755,root,root) %{_libdir}/kde4/kio_akonadi.so
%attr(755,root,root) %{_libdir}/kde4/kcm_akonadi_resources.so
%attr(755,root,root) %{_libdir}/kde4/kcm_akonadi.so
%attr(755,root,root) %{_libdir}/kde4/kcm_akonadi_server.so
%attr(755,root,root) %{_libdir}/kde4/kcal_akonadi.so
%{_datadir}/autostart/kaddressbookmigrator.desktop
%dir %{_datadir}/apps/akonadi
%{_datadir}/apps/akonadi/akonadi-xml.xsd
%dir %{_datadir}/apps/akonadi_knut_resource
%{_datadir}/apps/akonadi_knut_resource/knut-template.xml
%dir %{_datadir}/apps/akonadi/plugins
%dir %{_datadir}/apps/akonadi/plugins/serializer
%{_datadir}/apps/akonadi/plugins/serializer/akonadi_serializer_addressee.desktop
%{_datadir}/apps/akonadi/plugins/serializer/akonadi_serializer_contactgroup.desktop
%{_datadir}/apps/akonadi/plugins/serializer/akonadi_serializer_mail.desktop
%{_datadir}/apps/akonadi/plugins/serializer/akonadi_serializer_kcal.desktop
%{_datadir}/apps/akonadi/plugins/serializer/akonadi_serializer_bookmark.desktop
%{_datadir}/apps/akonadi/plugins/serializer/akonadi_serializer_microblog.desktop
%dir %{_datadir}/akonadi
%dir %{_datadir}/akonadi/agents
%{_datadir}/akonadi/agents/contactsresource.desktop
#%{_datadir}/akonadi/agents/distlistresource.desktop
%{_datadir}/akonadi/agents/maildispatcheragent.desktop
%{_datadir}/akonadi/agents/mboxresource.desktop
%{_datadir}/akonadi/agents/mtdummyresource.desktop
%{_datadir}/akonadi/agents/nepomukcalendarfeeder.desktop
#%{_datadir}/akonadi/agents/strigifeeder.desktop
%{_datadir}/akonadi/agents/vcardresource.desktop
%{_datadir}/akonadi/agents/nntpresource.desktop
%{_datadir}/akonadi/agents/kcalresource.desktop
%{_datadir}/akonadi/agents/knutresource.desktop
%{_datadir}/akonadi/agents/icalresource.desktop
%{_datadir}/akonadi/agents/kabcresource.desktop
%{_datadir}/akonadi/agents/localbookmarksresource.desktop
%{_datadir}/akonadi/agents/maildirresource.desktop
%{_datadir}/akonadi/agents/nepomukcontactfeeder.desktop
#%{_datadir}/akonadi/agents/nepomukemailfeeder.desktop
%{_datadir}/akonadi/agents/nepomuktagresource.desktop
%{_datadir}/akonadi/agents/pop3resource.desktop
%{_datadir}/akonadi/agents/vcarddirresource.desktop
%{_datadir}/akonadi/agents/birthdaysresource.desktop
%{_datadir}/akonadi/agents/imapresource.desktop
%{_datadir}/akonadi/agents/kolabproxyresource.desktop
%{_datadir}/akonadi/agents/microblog.desktop
%{_datadir}/akonadi/agents/notesresource.desktop
%dir %{_datadir}/apps/akonadi/firstrun
%{_datadir}/apps/akonadi/firstrun/defaultaddressbook
%{_datadir}/apps/akonadi/firstrun/defaultcalendar
%{_datadir}/kde4/services/akonadi.protocol
%{_datadir}/kde4/services/kcm_akonadi_resources.desktop
%{_datadir}/kde4/services/kcm_akonadi.desktop
%{_datadir}/kde4/services/kcm_akonadi_server.desktop
%{_desktopdir}/kde4/akonaditray.desktop
%{_datadir}/kde4/services/kresources/kcal/akonadi.desktop
%{_datadir}/dbus-1/interfaces/org.kde.Akonadi.Maildir.Settings.xml
%{_datadir}/config/kmail-migratorrc
%{_datadir}/config/kres-migratorrc
%{_datadir}/kde4/services/kresources/kabc/akonadi.desktop
%{_datadir}/mime/packages/kdepim-mime.xml
%{_iconsdir}/*/*/apps/kolab.png

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libakonadi-xml.so
%attr(755,root,root) %{_libdir}/libkdepim-copy.so
%attr(755,root,root) %{_libdir}/libmaildir.so
%attr(755,root,root) %{_libdir}/libmbox.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kdepim-runtime.spec,v $
Revision 1.20  2010/06/30 16:26:30  shadzik
- 4.4.5

Revision 1.19  2010/05/28 23:39:29  shadzik
- 4.4.4

Revision 1.18  2010/05/01 15:11:20  shadzik
- 4.4.3

Revision 1.17  2010/03/27 14:01:13  arekm
- up to 4.4.2

Revision 1.16  2010/03/16 20:08:33  arekm
- rel 2; branch diff updated

Revision 1.15  2010/02/27 12:38:36  shadzik
- 4.4.1 try#1

Revision 1.14  2010/02/18 18:27:46  sparky
- BR: QtScript-devel
- dropped unused BR: QtDesigner-devel, QtWebKit-devel,
  kde4-kdebase-workspace-devel, pilot-link-devel, qca-devel
- "All external packages have been found.", builds

Revision 1.13  2010/02/18 15:25:42  shadzik
- merged from DEVEL

Revision 1.8.2.17  2010/02/17 20:32:32  arekm
- rel 3; branch diff updated

Revision 1.8.2.16  2010/02/12 07:59:35  arekm
- rel 2; branch diff

Revision 1.8.2.15  2010/02/04 20:43:23  arekm
- up to 4.4.0

Revision 1.8.2.14  2010/02/02 20:56:08  shadzik
- bump up qtver; it's not necessary but we make sure we link with the latest qtver

Revision 1.8.2.13  2010/02/02 16:01:09  shadzik
- minor clean up (removing old svn snap stuff)

Revision 1.8.2.12  2010/02/02 15:50:38  shadzik
- version qt4 BRs
- add qt4-qmake BR

Revision 1.8.2.11  2010/02/02 13:12:24  shadzik
- force cmake 2.8.0 BR

Revision 1.8.2.10  2010/02/01 02:09:00  shadzik
- 4.4 RC3

Revision 1.8.2.9  2010/01/20 10:05:12  arekm
- up to 4.3.95

Revision 1.8.2.8  2010/01/08 21:08:57  zawadaa
- up to 4.3.90

Revision 1.8.2.7  2009/12/24 02:00:04  shadzik
- 4.4 Beta2

Revision 1.8.2.6  2009/12/05 01:30:15  shadzik
- 4.4 beta1

Revision 1.8.2.5  2009/12/03 23:30:42  sparky
- BR: Qt3Support-devel, QtNetwork-devel, QtSql-devel, QtSvg-devel, QtTest-devel,
  QtWebKit-devel, libxml2-devel, libxslt-progs, qt4-build

Revision 1.8.2.4  2009/10/29 13:50:11  paszczus
- updated to 4.3.73

Revision 1.8.2.3  2009/10/19 05:36:30  paszczus
- added devel subpackage

Revision 1.8.2.2  2009/10/18 18:30:22  paszczus
- updated to 4.3.72

Revision 1.8.2.1  2009/10/09 12:08:43  paszczus
- updated to 4.3.69

Revision 1.8  2009/10/03 11:59:48  shadzik
- updated qt BR

Revision 1.7  2009/10/03 11:51:59  shadzik
- 4.3.2 try #1

Revision 1.6  2009/08/28 15:19:16  shadzik
- 4.3.1

Revision 1.5  2009/08/08 09:57:08  arekm
- rel 2; add O: kde4-kdepim-akonadi

Revision 1.4  2009/08/05 12:00:18  shadzik
- BUIL_TYPE values are case sensitive

Revision 1.3  2009/08/04 17:44:38  shadzik
- ghost symlinks

Revision 1.2  2009/08/04 17:43:12  shadzik
- kill R: -libs
- remove as much as possible BRs from kde4-kdepim

Revision 1.1  2009/08/04 17:38:41  shadzik
- init
- raw from kde4-kdepim (akonadi section)
